## ros-rolling-moveit-py 2.8.0

=== src/moveit/moveit_py_utils/CMakeLists.txt ===
add_library(moveit_py_utils SHARED src/copy_ros_msg.cpp
                                   src/ros_msg_typecasters.cpp)
target_include_directories(moveit_py_utils PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include/moveit_py>
)
set_target_properties(moveit_py_utils PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

ament_target_dependencies(moveit_py_utils rclcpp moveit_msgs geometry_msgs pybind11)

install(
  TARGETS moveit_py_utils
  EXPORT moveit_py_utilsTargets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin)

install(DIRECTORY include/ DESTINATION include/moveit_py)

=== debian/changelog ===
ros-rolling-moveit-py (2.8.0-2jammy) jammy; urgency=high

  * Fix moveit_py rclcpp::init() (#2223 <https://github.com/ros-planning/moveit2/issues/2223>)
    * Fix moveit_py rclcpp::init()
    Rclcpp has been initialized without args which was problematic
    for some use cases like clock simulation. Parameters like
    use_sim_time:=true need to be passed to rclcpp, also
    NodeOptions access the global rcl state on construction.
    Co-authored-by: Jafar Uruç <mailto:jafar.uruc@gmail.com>
  * Export moveit_py_utils' cmake target (#2207 <https://github.com/ros-planning/moveit2/issues/2207>)
  * fix typo in name
  * Contributors: Henning Kayser, Michael Görner, Robert Haschke

 -- Peter David Fagan <peterdavidfagan@gmail.com>  Sat, 09 Sep 2023 22:00:00 -0000

ros-rolling-moveit-py (2.7.4-2jammy) jammy; urgency=high

  * Rename named_target_state_values to get_named_target_state_values (#2181 <https://github.com/ros-planning/moveit2/issues/2181>)
  * Deprecate MoveItCpp::execute() use of blocking flag (#1984 <https://github.com/ros-planning/moveit2/issues/1984>)
  * Add Python binding for link_model_names and get_only_one_end_effector_tip + update stubs (#1985 <https://github.com/ros-planning/moveit2/issues/1985>)
  * Contributors: Jafar, Lucas Wendland

 -- Peter David Fagan <peterdavidfagan@gmail.com>  Wed, 17 May 2023 22:00:00 -0000

ros-rolling-moveit-py (2.7.3-2jammy) jammy; urgency=high



 -- Peter David Fagan <peterdavidfagan@gmail.com>  Sun, 23 Apr 2023 22:00:00 -0000

ros-rolling-moveit-py (2.7.2-2jammy) jammy; urgency=high

  * Fix Formatting in Python Documentation (#2085 <https://github.com/ros-planning/moveit2/issues/2085>)
    * fix formatting in docs
    * Fix clang-tidy warnings
    ---------
    Co-authored-by: Tyler Weaver <mailto:maybe@tylerjw.dev>
    Co-authored-by: Tyler Weaver <mailto:tyler@picknik.ai>
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Update moveit_py 'get_planning_scene_monitor' to return NonConst (#2098 <https://github.com/ros-planning/moveit2/issues/2098>)
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
  * Fix MoveItCpp issues (port from MoveIt1) (#2001 <https://github.com/ros-planning/moveit2/issues/2001>)
    * Fix MoveitCpp's const member accessors
    They should return a ConstPtr instead of a const Ptr&!
    * Fix SEVERE ClassLoader warning when releasing MoveItCpp
    - PSM was released before copy of its RobotModel -> removed extra RobotModel copy
    - clearContents() was broken:
    - resets in wrong order: psm_ should be last
    - trajectory_execution_manager_ was missing
    I suggest to omit clearContents() and rely on the (correct) ordering of member variables.
    While this is not explicit, we ensure that we don't miss any newly added member variable.
    Fix: https://github.com/ros-planning/moveit2/issues/1597
    ---------
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
    Co-authored-by: Jafar <mailto:cafer.abdi@gmail.com>
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@tuta.io>
    Co-authored-by: JafarAbdi <mailto:jafar.uruc@gmail.com>
  * Extract parallel planning from moveit cpp (#2043 <https://github.com/ros-planning/moveit2/issues/2043>)
    * Add parallel_planning_interface
    * Add parallel planning interface
    * Rename package to pipeline_planning_interface
    * Move plan_responses_container into own header + source file
    * Add plan_responses_contrainer source file
    * Add solution selection and stopping criterion function files
    * Remove parallel planning from moveit_cpp
    * Move parallel planning into planning package
    * Update moveit_cpp
    * Drop planning_interface changes
    * Add documentation
    * Update other moveit packages
    * Remove removed header
    * Address CI complains
    * Address clang-tidy complains
    * Address clang-tidy complains 2
    * Address clang-tidy complains 3
    * Extract planning pipeline map creation function from moveit_cpp
    * Cleanup comment
    * Use const moveit::core::RobotModelConstPtr&
    * Formatting
    * Add header descriptions
    * Remove superfluous TODOs
    * Cleanup
  * moveit_py citation (#2029 <https://github.com/ros-planning/moveit2/issues/2029>)
  * Added set_robot_trajectory_msg to python bindings (#2050 <https://github.com/ros-planning/moveit2/issues/2050>)
  * Contributors: Jens Vanhooydonck, Peter David Fagan, Robert Haschke, Sebastian Jahr

 -- Peter David Fagan <peterdavidfagan@gmail.com>  Mon, 17 Apr 2023 22:00:00 -0000

=== debian/control ===
Source: ros-rolling-moveit-py
Section: misc
Priority: optional
Maintainer: Peter David Fagan <peterdavidfagan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, ros-rolling-ament-cmake, ros-rolling-ament-cmake-pytest <!nocheck>, ros-rolling-geometry-msgs, ros-rolling-moveit-core, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-planning-interface, ros-rolling-octomap-msgs, ros-rolling-pybind11-vendor, ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-moveit-py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ament-index-python, ros-rolling-geometry-msgs, ros-rolling-moveit-core, ros-rolling-moveit-ros-planning, ros-rolling-moveit-ros-planning-interface, ros-rolling-octomap-msgs, ros-rolling-rclcpp, ros-rolling-rclpy, ros-rolling-ros-workspace
Description: Python binding for MoveIt 2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-moveit-py//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
